//
//  Item.h
//  folder
//
//  Created by kunii on 2013/11/18.
//  Copyright (c) 2013年 國居貴浩. All rights reserved.
//

#ifndef folder_Item_h
#define folder_Item_h

//  フォルダ、ファイルを表現した構造体
typedef struct Item {
    char            name[10];                           //  名前
    void (*print)(struct Item*, int);                   //  出力用関数
    struct Item* (*init)(struct Item*, const char*);    //  初期化用関数
    void (*dealloc)(struct Item*);                      //  破棄用関数
} Item;


//  Itemオブジェクト作成
Item* ItemAlloc();
#endif
